Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Result_Impl Class Reference

Abstract base class for the all the classes that provide concrete implementations for ACE_Asynch_Result. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Result_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Asynch_Result_Impl (void)
virtual size_t | bytes_transferred (void) const=0
| Number of bytes transferred by the operation. More...
virtual const void * | act (void) const=0
| ACT associated with the operation. More...
virtual int | success (void) const=0
| Did the operation succeed? More...
virtual const void * | completion_key (void) const=0
| This ACT is not the same as the ACT associated with the asynchronous operation. More...
virtual u_long | error (void) const=0
| Error value if the operation fail. More...
virtual ACE_HANDLE | event (void) const=0
| Event associated with the OVERLAPPED structure. More...
virtual u_long | offset (void) const=0
| This really make sense only when doing file I/O. More...
virtual u_long | offset_high (void) const=0
virtual int | priority (void) const=0
| Priority of the operation. More...
virtual int | signal_number (void) const=0
| POSIX4 real-time signal number to be used for the operation. More...
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error=0)=0
| This is called when the asynchronous operation completes. More...
virtual int | post_completion (ACE_Proactor_Impl *proactor)=0
| Post <this> to the Proactor's completion port. More...
## Protected Methods
| ACE_Asynch_Result_Impl (void)
| Do-nothing constructor. More...

## Detailed Description

Abstract base class for the all the classes that provide concrete implementations for ACE_Asynch_Result.

## Constructor & Destructor Documentation

ACE_Asynch_Result_Impl::~ACE_Asynch_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Result_Impl::ACE_Asynch_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual const void* ACE_Asynch_Result_Impl::act | ( | void |  | ) | const`[pure virtual]`

| ACT associated with the operation. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual size_t ACE_Asynch_Result_Impl::bytes_transferred | ( | void |  | ) | const`[pure virtual]`

| Number of bytes transferred by the operation. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual void ACE_Asynch_Result_Impl::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error = 0
| ) | `[pure virtual]`

| This is called when the asynchronous operation completes. Reimplemented in ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_POSIX_Wakeup_Completion, ACE_POSIX_Asynch_Timer, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Write_Dgram_Result, ACE_WIN32_Wakeup_Completion, and ACE_WIN32_Asynch_Timer.

virtual const void* ACE_Asynch_Result_Impl::completion_key | ( | void |  | ) | const`[pure virtual]`

| This ACT is not the same as the ACT associated with the asynchronous operation. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual u_long ACE_Asynch_Result_Impl::error | ( | void |  | ) | const`[pure virtual]`

| Error value if the operation fail. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual ACE_HANDLE ACE_Asynch_Result_Impl::event | ( | void |  | ) | const`[pure virtual]`

| Event associated with the OVERLAPPED structure. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual u_long ACE_Asynch_Result_Impl::offset | ( | void |  | ) | const`[pure virtual]`

| This really make sense only when doing file I/O. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual u_long ACE_Asynch_Result_Impl::offset_high | ( | void |  | ) | const`[pure virtual]`

| Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual int ACE_Asynch_Result_Impl::post_completion | ( | ACE_Proactor_Impl * | proactor | ) | `[pure virtual]`

| Post <this> to the Proactor's completion port. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual int ACE_Asynch_Result_Impl::priority | ( | void |  | ) | const`[pure virtual]`

| Priority of the operation. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual int ACE_Asynch_Result_Impl::signal_number | ( | void |  | ) | const`[pure virtual]`

| POSIX4 real-time signal number to be used for the operation. <signal_number> ranges from SIGRTMIN to SIGRTMAX. By default, SIGRTMIN is used to issue <aio_> calls. This is a no-op on non-POSIX4 systems and returns 0. Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual int ACE_Asynch_Result_Impl::success | ( | void |  | ) | const`[pure virtual]`

| Did the operation succeed? Reimplemented in ACE_POSIX_Asynch_Result, ACE_POSIX_Asynch_Read_Stream_Result, ACE_POSIX_Asynch_Write_Stream_Result, ACE_POSIX_Asynch_Read_File_Result, ACE_POSIX_Asynch_Write_File_Result, ACE_POSIX_Asynch_Accept_Result, ACE_POSIX_Asynch_Connect_Result, ACE_POSIX_Asynch_Transmit_File_Result, ACE_POSIX_Asynch_Write_Dgram_Result, ACE_POSIX_Asynch_Read_Dgram_Result, ACE_WIN32_Asynch_Result, ACE_WIN32_Asynch_Read_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Read_File_Result, ACE_WIN32_Asynch_Write_File_Result, ACE_WIN32_Asynch_Accept_Result, ACE_WIN32_Asynch_Connect_Result, ACE_WIN32_Asynch_Transmit_File_Result, ACE_WIN32_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.i